Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.lowagie.text.xml
Class TagMap.AttributeHandler

    java.lang.Object
      org.xml.sax.helpers.DefaultHandler
          com.lowagie.text.xml.TagMap.AttributeHandler

All Implemented Interfaces:
  org.xml.sax.ContentHandler, org.xml.sax.DTDHandler, org.xml.sax.EntityResolver, org.xml.sax.ErrorHandler

Enclosing class:
  TagMap

     class TagMap.AttributeHandler

extends org.xml.sax.helpers.DefaultHandler

Field Summary
`static String` | `ALIAS` This is an attribute
`static String` | `ATTRIBUTE` This is a tag
`static String` | `CONTENT` This is an attribute
`private XmlPeer` | `currentPeer` This is the current peer.
`static String` | `NAME` This is an attribute
`static String` | `TAG` This is a tag
`private HashMap` | `tagMap` This is the tagmap using the AttributeHandler
`static String` | `VALUE` This is an attribute

Constructor Summary
`TagMap.AttributeHandler(HashMap tagMap)` Constructs a new SAXiTextHandler that will translate all the events triggered by the parser to actions on the `Document`-object.

Method Summary
`void` | `characters(char[] ch, int start, int length)` This method gets called when characters are encountered.
`void` | `endElement(String uri, String lname, String tag)` This method gets called when an end tag is encountered.
`void` | `ignorableWhitespace(char[] ch, int start, int length)` This method gets called when ignorable white space encountered.
`void` | `startElement(String uri, String lname, String tag, org.xml.sax.Attributes attrs)` This method gets called when a start tag is encountered.

Methods inherited from class org.xml.sax.helpers.DefaultHandler
`endDocument, endPrefixMapping, error, fatalError, notationDecl, processingInstruction, resolveEntity, setDocumentLocator, skippedEntity, startDocument, startPrefixMapping, unparsedEntityDecl, warning`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### TAG

    public static final String TAG

  This is a tag

  See Also:
    Constant Field Values

### ATTRIBUTE

    public static final String ATTRIBUTE

  This is a tag

  See Also:
    Constant Field Values

### NAME

    public static final String NAME

  This is an attribute

  See Also:
    Constant Field Values

### ALIAS

    public static final String ALIAS

  This is an attribute

  See Also:
    Constant Field Values

### VALUE

    public static final String VALUE

  This is an attribute

  See Also:
    Constant Field Values

### CONTENT

    public static final String CONTENT

  This is an attribute

  See Also:
    Constant Field Values

### tagMap

    private HashMap tagMap

  This is the tagmap using the AttributeHandler

### currentPeer

    private XmlPeer currentPeer

  This is the current peer.

Constructor Detail

### TagMap.AttributeHandler

    public TagMap.AttributeHandler(HashMap tagMap)

  Constructs a new SAXiTextHandler that will translate all the events triggered by the parser to actions on the `Document`-object.

  Parameters:
    `tagMap` - A Hashmap containing XmlPeer-objects

Method Detail

### startElement

    public void startElement(String uri,
                             String lname,
                             String tag,
                             org.xml.sax.Attributes attrs)

  This method gets called when a start tag is encountered.

  Specified by:
    `startElement` in interface `org.xml.sax.ContentHandler`
  Overrides:
    `startElement` in class `org.xml.sax.helpers.DefaultHandler`
  Parameters:
    `uri` - the Uniform Resource Identifier
    `lname` - the local name (without prefix), or the empty string if Namespace processing is not being performed.
    `tag` - the name of the tag that is encountered
    `attrs` - the list of attributes

### ignorableWhitespace

    public void ignorableWhitespace(char[] ch,
                                    int start,
                                    int length)

  This method gets called when ignorable white space encountered.

  Specified by:
    `ignorableWhitespace` in interface `org.xml.sax.ContentHandler`
  Overrides:
    `ignorableWhitespace` in class `org.xml.sax.helpers.DefaultHandler`
  Parameters:
    `ch` - an array of characters
    `start` - the start position in the array
    `length` - the number of characters to read from the array

### characters

    public void characters(char[] ch,
                           int start,
                           int length)

  This method gets called when characters are encountered.

  Specified by:
    `characters` in interface `org.xml.sax.ContentHandler`
  Overrides:
    `characters` in class `org.xml.sax.helpers.DefaultHandler`
  Parameters:
    `ch` - an array of characters
    `start` - the start position in the array
    `length` - the number of characters to read from the array

### endElement

    public void endElement(String uri,
                           String lname,
                           String tag)

  This method gets called when an end tag is encountered.

  Specified by:
    `endElement` in interface `org.xml.sax.ContentHandler`
  Overrides:
    `endElement` in class `org.xml.sax.helpers.DefaultHandler`
  Parameters:
    `uri` - the Uniform Resource Identifier
    `lname` - the local name (without prefix), or the empty string if Namespace processing is not being performed.
    `tag` - the name of the tag that ends

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD